/*------------------------------------------------------*/
/*		Module:				main.c						*/
/*		writen by:			Michael Klose				*/
/*		date:				27.04.2005					*/
/*		last modified by:	Michael Klose				*/
/*		date:				28.04.2005					*/
/*		program execution starts here					*/
/*------------------------------------------------------*/

#include "main.h"
#include "io.h"

//declaration of functions
extern void PortInit(void);				//declared in ports.c
extern void InterruptInit(void);		//declared in int.c

//declaration of variables
volatile unsigned char counter;					//counter variable for number of trigger events
volatile unsigned char time1, time2, time3;		//time in ms (LSB to MSB)
volatile unsigned char phase;					//phase information
volatile bit usePhase;							//0 if phase is not used, 1 if phase is used
volatile bit mainc;								//1 if main contactor is used, else 0

/*--------------------------------------------------------------*/
/*	function main												*/
/*	initalizes the controller, executes the program				*/
/*	no input, no return value									*/

void main (void)
{
	PortInit();						//initialize the ports
	InterruptInit();				//initialize the trigger-interrupts
	counter = 0;					//set starting value for counter
	EA = 1;							//enable all interrupts globaly

	while(counter < 5);			//wait for 5 transmissions from the computer
	if (mainc == 1)
	{
		P0_DATA &= 0xf8;			//close the serial contactors (shoot is performed with main contactor)
	}
	while(1);
}
//end of function main()